Skip site navigation (1) Skip section navigation (2)

Error in Installing pgsql_perl5

From: Sitaram_Pamarthi <Sitaram_Pamarthi(at)satyam(dot)com>
To: pgsql-interfaces(at)postgresql(dot)org
Subject: Error in Installing pgsql_perl5
Date: 2004-06-15 05:19:28
Message-ID: 27B993528DFED411956700B0D0AA8C950DFCE8DF@hot.satyam.com (view raw or flat)
Thread:
Lists: pgsql-interfaces
Hi,

 

I am getting a problem while installing the module pgsql_perl5

 

Please find the information that you requested.

 

 

[root(at)teacup /]# perl -v

 

This is perl, v5.8.0 built for i386-linux-thread-multi

(with 1 registered patch, see perl -V for more detail)

 

Copyright 1987-2002, Larry Wall

 

Perl may be copied only under the terms of either the Artistic License or
the

GNU General Public License, which may be found in the Perl 5 source kit.

 

Complete documentation for Perl, including FAQ lists, should be found on

this system using `man perl' or `perldoc perl'.  If you have access to the

Internet, point your browser at http://www.perl.com/, the Perl Home Page.

 

[root(at)teacup /]# perl -V

Summary of my perl5 (revision 5.0 version 8 subversion 0) configuration:

  Platform:

    osname=linux, osvers=2.4.20-2.48smp, archname=i386-linux-thread-multi

    uname='linux str'

    config_args='-des -Doptimize=-O2 -march=i386 -mcpu=i686 -g
-Dmyhostname=localhost -Dperladmin=root(at)localhost -Dcc=gcc -Dcf_by=Red Hat,
Inc. -Dinstallprefix=/usr -Dprefix=/usr -Darchname=i386-linux
-Dvendorprefix=/usr -Dsiteprefix=/usr -Dotherlibdirs=/usr/lib/perl5/5.8.0
-Duseshrplib -Dusethreads -Duseithreads -Duselargefiles -Dd_dosuid
-Dd_semctl_semun -Di_db -Ui_ndbm -Di_gdbm -Di_shadow -Di_syslog
-Dman3ext=3pm -Duseperlio -Dinstallusrbinperl -Ubincompat5005 -Uversiononly
-Dpager=/usr/bin/less -isr'

    hint=recommended, useposix=true, d_sigaction=define

    usethreads=define use5005threads=undef'

 useithreads=define usemultiplicity=

    useperlio= d_sfio=undef uselargefiles=define usesocks=undef

    use64bitint=undef use64bitall=un uselongdouble=

    usemymalloc=, bincompat5005=undef

  Compiler:

    cc='gcc', ccflags ='-D_REENTRANT -D_GNU_SOURCE -DTHREADS_HAVE_PIDS
-DDEBUGGING -fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE
-D_FILE_OFFSET_BITS=64 -I/usr/include/gdbm',

    optimize='',

    cppflags='-D_REENTRANT -D_GNU_SOURCE -DTHREADS_HAVE_PIDS -DDEBUGGING
-fno-strict-aliasing -I/usr/local/include -I/usr/include/gdbm'

    ccversion='', gccversion='3.2.2 20030213 (Red Hat Linux 8.0 3.2.2-1)',
gccosandvers=''

gccversion='3.2.2 200302'

    intsize=e, longsize= , ptrsize=p, doublesize=8, byteorder=1234

    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=12

    ivtype='long'

k', ivsize=4'

ivtype='long'

known_ext, nvtype='double'

o_nonbl', nvsize=, Off_t='', lseeksize=8

    alignbytes=4, prototype=define

  Linker and Libraries:

    ld='gcc'

l', ldflags =' -L/usr/local/lib'

ldf'

    libpth=/usr/local/lib /lib /usr/lib

    libs=-lnsl -lgdbm -ldb -ldl -lm -lpthread -lc -lcrypt -lutil

    perllibs=

    libc=/lib/libc-2.3.1.so, so=so, useshrplib=true, libperl=libper

    gnulibc_version='2.3.1'

  Dynamic Linking:

    dlsrc=dl_dlopen.xs, dlext=so', d_dlsymun=undef, ccdlflags='-rdynamic
-Wl,-rpath,/usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE'

    cccdlflags='-fPIC'

ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5', lddlflags='s
Unicode/Normalize XS/A'

 

 

Characteristics of this binary (from libperl): 

  Compile-time options: DEBUGGING MULTIPLICITY USE_ITHREADS USE_LARGE_FILES
PERL_IMPLICIT_CONTEXT

  Locally applied patches:

        MAINT18379

  Built under linux

  Compiled at Feb 18 2003 22:19:53

  @INC:

    /usr/lib/perl5/5.8.0/i386-linux-thread-multi

    /usr/lib/perl5/5.8.0

    /usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi

    /usr/lib/perl5/site_perl/5.8.0

    /usr/lib/perl5/site_perl

    /usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi

    /usr/lib/perl5/vendor_perl/5.8.0

    /usr/lib/perl5/vendor_perl

    /usr/lib/perl5/5.8.0/i386-linux-thread-multi

    /usr/lib/perl5/5.8.0

    .

POSTGRESQL:   postgresql-7.3.6.tar.gz

Pgsql_perl5: pgsql_perl5-1.9.0.tar.gz

 

And when I am trying to run the Makefile.PL of pgsql_perl5, I am getting the
following error

 

[root(at)teacup pgsql_perl5-1.9.0]# perl Makefile.PL

Configuring Pg

Remember to actually read the README file !

please set environment variables POSTGRES_INCLUDE and POSTGRES_LIB !

[root(at)teacup pgsql_perl5-1.9.0]#

 

Request you to resolve my problem ASAP.

 

 

 

Thanks and Regards,

Sitaram Pamarthi

 

 

************************************************************************** 
This email (including any attachments) is intended for the sole use of the
intended recipient/s and may contain material that is CONFIDENTIAL AND
PRIVATE COMPANY INFORMATION. Any review or reliance by others or copying or
distribution or forwarding of any or all of the contents in this message is
STRICTLY PROHIBITED. If you are not the intended recipient, please contact
the sender by email and delete all copies; your cooperation in this regard
is appreciated.
**************************************************************************

pgsql-interfaces by date

Next:From: Brijesh ShrivastavDate: 2004-06-15 16:58:00
Subject: Filtering tables based on user privileges
Previous:From: Tom LaneDate: 2004-06-14 19:37:28
Subject: Re: libpq binary transfer of the numeric data type

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group